Name:           freedroidrpg
Version:        0.9.13
Release:        2%{?dist}
Summary:        Role playing game with Freedroid theme and Tux as the hero

Group:          Amusements/Games
License:        GPL
URL:            http://freedroid.sourceforge.net/
Source0:        http://download.sf.net/freedroid/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL_image-devel
BuildRequires:  SDL_net-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  gtk+-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  ImageMagick
BuildRequires:  libvorbis-devel
BuildRequires:  desktop-file-utils
BuildRequires:  mesa-libGLU-devel

%description
The Freedroid RPG is an extension/modification of the classical
freedroid engine into a role playing game.


%prep
%setup -q


%build
%configure --datadir=%{_datadir}/games --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install \
  --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
convert -transparent "#077300" graphics/paraicon.bmp \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/freedroidrpg.png
# Fix permissions, remove extra junk.
find $RPM_BUILD_ROOT%{_datadir}/games/freedroidrpg -name "*.sh" | xargs rm
rm -r $RPM_BUILD_ROOT%{_datadir}/games/freedroidrpg/graphics/blender_sources
find $RPM_BUILD_ROOT%{_datadir}/games/freedroidrpg -type f | xargs chmod -x


%clean
rm -rf $RPM_BUILD_ROOT


%post
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor >/dev/null 2>&1 || :

%postun
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor >/dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_bindir}/*
%{_datadir}/games/freedroidrpg/
%{_mandir}/man6/freedroidRPG.6*
%{_datadir}/applications/*freedroidrpg.desktop
%{_datadir}/icons/hicolor/32x32/apps/freedroidrpg.png


%changelog
* Thu Mar 9 2006 Wart <wart at kobold.org> - 0.9.13-2
- Add BR: for modular xorg.

* Sat Sep 10 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.9.13-1
- 0.9.13.
- Drop some outdated docs.

* Thu Aug  4 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.9.13-0.2.rc3
- 0.9.13rc3, build with gcc4, lvalue cast fix applied upstream.
- Move icon to %%{datadir}/icons/hicolor.

* Sun Jul 31 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.9.13-0.2.rc2
- 0.9.13rc2.
- Apply upstream lvalue cast fix.
- Update desktop entry categories.

* Thu Jun  9 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.9.12-5
- Rebuild for FC4+ with compat-gcc-32 due to crashy gcc4 experience (#152498).
- Build with dependency tracking disabled.

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.9.12-3
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.9.12-2
- rebuilt

* Mon Apr  5 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.9.12-0.fdr.1
- Update to 0.9.12 (bz2 tarball available upstream, yay!).

* Tue Feb 17 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.9.11-0.fdr.1
- Update to 0.9.11.
- Re-bzip2 tarball to save 15MB.
- Improve summary and description.

* Fri Jan 16 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.9.10-0.fdr.1
- Update to 0.9.10.

* Wed Oct 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.9.9-0.fdr.1
- Update to 0.9.9-1.

* Tue Sep 16 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.9.8-0.fdr.2
- Use upstream "0.9.8-1" tarball.  Sigh.

* Mon Aug 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.9.8-0.fdr.1
- Update to 0.9.8.

* Fri Jul 18 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.9.6-0.fdr.1
- Update to 0.9.6.

* Tue May 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.9.5-0.fdr.1.patchlv1
- First build.
